Bug 54232 - patches in rsync 2.4.6 break some functionality.
Summary: patches in rsync 2.4.6 break some functionality.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsync   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 03:11 UTC by Eugene Kanter
Modified: 2014-03-17 02:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-30 20:43:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 2001-10-02 03:11:20 UTC
Description of Problem:

rsync does not understand '[]'

Version-Release number of selected component (if applicable):

2.4.6-5

How Reproducible:

always

Steps to Reproduce:

$ rsync 'beta@ftp.beta.redhat.com::beta/enigma/iso/enigma-i386-disc[12].iso'
Password:<enter password>

Actual Results:

ERROR: module is read only
unexpected EOF in read_timeout

Expected Results:

-rw-r--r--   677961728 2001/09/24 13:27:57 enigma-i386-disc1.iso
-rw-r--r--   669429760 2001/09/24 13:43:48 enigma-i386-disc2.iso


Additional Information:

If rsync 2.5.6-5 is built without patches, this particular functionality
works OK.
I did not investigate which patch causes the problem.

Comment 1 Bill Nottingham 2001-10-02 06:22:02 UTC
Probably the patch for 51801....

Comment 2 Eugene Kanter 2001-10-02 12:48:36 UTC
I tried on original 2.4.6:

$ touch a
$ mkdir destination
$ rsync '[a]' destination
link_stat [a] : No such file or directory

However with redhat rsync server
$ rsync 'user@server::section/[a]' .
works as expected.

patches from RH 7.2 reverse the problem, not eliminate it.


Comment 3 Pekka Savola 2001-10-02 14:05:00 UTC
when parsing an ipv6 address, it's usually enclosed in []'s, like
[3ffe:ffff::1]/64.  If the ipv6
support changed the cndline parser in this aspect, it might have broken
something.

Comment 4 Bill Nottingham 2001-11-30 20:43:24 UTC
Is this only a problem talking to rsync servers?

Comment 5 Bill Nottingham 2001-11-30 20:51:43 UTC
This seems to work for me with 2.5.0 (http://people.redhat.com/notting/rsync/) -
please reopen if it fails for you.


Note You need to log in before you can comment on or make changes to this bug.